@rem copyright (c) 2004-2008 Kazuki IWAMOTO http://www.maid.org/ iwm@maid.org
@rem
@rem Permission is hereby granted, free of charge, to any person obtaining
@rem a copy of this software and associated documentation files (the
@rem "Software"), to deal in the Software without restriction, including
@rem without limitation the rights to use, copy, modify, merge, publish,
@rem distribute, sublicense, and/or sell copies of the Software, and to
@rem permit persons to whom the Software is furnished to do so, subject to
@rem the following conditions:
@rem
@rem The above copyright notice and this permission notice shall be included
@rem in all copies or substantial portions of the Software.
@rem
@rem THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
@rem EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
@rem MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
@rem IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
@rem CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
@rem TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
@rem SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
if not exist expat-2.0.1 tar zxf expat-2.0.1.tar.gz
if not exist fontconfig-2.6.0 tar zxf fontconfig-2.6.0.tar.gz
if not exist freetype-2.3.7 tar zxf freetype-2.3.7.tar.gz
if not exist iconvmlang-0.0.3 tar zxf iconvmlang-0.0.3.tar.gz
if not exist jpeg-6b tar zxf jpegsrc.v6b.tar.gz
if not exist libpng-1.2.32 tar zxf libpng-1.2.32.tar.gz
if not exist pixman-0.12.0 tar zxf pixman-0.12.0.tar.gz
if not exist tiff-3.8.2 tar zxf tiff-3.8.2.tar.gz
if not exist zlib-1.2.3 tar zxf zlib-1.2.3.tar.gz
if "%1"=="SVN" goto svn
if "%1"=="SVn" goto svn
if "%1"=="SvN" goto svn
if "%1"=="Svn" goto svn
if "%1"=="sVN" goto svn
if "%1"=="sVn" goto svn
if "%1"=="svN" goto svn
if "%1"=="svn" goto svn
if not exist atk-1.24.0 tar zxf atk-1.24.0.tar.gz
if not exist cairo-1.6.4 tar zxf cairo-1.6.4.tar.gz
if not exist glib-2.18.1 tar zxf glib-2.18.1.tar.gz
if not exist "gtk+-2.14.2" if not exist gtk-2.14.2 tar zxf "gtk+-2.14.2.tar.gz"
if not exist pango-1.20.5 tar zxf pango-1.20.5.tar.gz
if exist "gtk+-2.14.2" ren "gtk+-2.14.2" gtk-2.14.2
goto final
:svn
if not exist cairo-1.7.6 tar zxf cairo-1.7.6.tar.gz
if exist atk (svn up atk) else (svn co http://svn.gnome.org/svn/atk/trunk/ atk)
if exist glib (svn up glib) else (svn co http://svn.gnome.org/svn/glib/trunk/ glib)
if exist gtk (svn up gtk) else (svn co "http://svn.gnome.org/svn/gtk+/trunk/" gtk)
if exist pango (svn up pango) else (svn co http://svn.gnome.org/svn/pango/trunk/ pango)
:final
